# This file contains simple terminal commands for demontrating the
# Probe version 2.0 SNMP support
#
# This file can be executed as a bash script by typing
# sh snmp-test.txt on a linux terminal prompt.
# You will need to replace the 10.0.30.134 IP address.
#
# Example output can be found in the snmp-result-probe.txt file.
#
echo ------------------------------------------------------
echo Setting environment table MIBS=all to force MIB to be loaded
echo ------------------------------------------------------
export MIBS=all

echo
echo ------------------------------------------------------
echo MIB2 - sysDescription:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.2.1.1.1

echo
echo ------------------------------------------------------
echo MIB2 - sysUptime:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.2.1.1.3

echo
echo ------------------------------------------------------
echo MIB2 - sysName:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.2.1.1.5

echo
echo ------------------------------------------------------
echo MIB2 - sysLocation:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.2.1.1.6

echo
echo ------------------------------------------------------
echo Overall status of probe:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.4.1.24562.1.0

echo
echo ------------------------------------------------------
echo Overall textual status of probe:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.4.1.24562.2.0

echo
echo ------------------------------------------------------
echo Severity of most severe active alarm:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.4.1.24562.3.0

echo
echo ------------------------------------------------------
echo Model name of unit:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.4.1.24562.10.0

echo
echo ------------------------------------------------------
echo Number of times probe-config has been changed since boot:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.4.1.24562.50.0
echo

#echo ------------------------------------------------------
#echo Adding trap destination 10.20.30.40:
#echo Note: This can now be done from GUI
#echo ------------------------------------------------------
#snmpset -v1 -c public $1  1.3.6.1.4.1.24562.100.1.2.1 a 10.20.30.40  1.3.6.1.4.1.24562.100.1.999.1 i 4

#echo
#echo ------------------------------------------------------
#echo TrapDestinationTable now contains one entry:
#echo ------------------------------------------------------
#snmptable -v1 -c public $1  1.3.6.1.4.1.24562.100

#echo
#echo ------------------------------------------------------
#echo Removing the entry:
#echo ------------------------------------------------------
#snmpset -v1 -c public $1  1.3.6.1.4.1.24562.100.1.999.1 i 6

#echo
#echo ------------------------------------------------------
#echo The table is now empty:
#echo ------------------------------------------------------
#snmptable -v1 -c public $1  1.3.6.1.4.1.24562.100


echo ------------------------------------------------------
echo SNMP trap table:
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.100


echo
echo ------------------------------------------------------
echo List the top 20 entries in the probes
echo Alarms and events WEB interface table.
echo This contains the active alarms and the latest events.
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.200

echo
echo ------------------------------------------------------
echo List the latest 20 traps:
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.300

echo
echo ------------------------------------------------------
echo All MIB values 1.3.6.1.4.1.24562.5XX are updated each 60s. 
echo The exception is 1.3.6.1.4.1.24562.500 which tells how
echo long ago the update happened i.e. 0-60 seconds
echo For consistency clients should avoid reading while data
echo is being updated.
echo This parameter can also be read as a probe-alive test
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.4.1.24562.500.0

echo
echo ------------------------------------------------------
echo Table listing multicast names, ip-address and port
echo for all channels
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.510

echo
echo ------------------------------------------------------
echo Table listing seconds with IAT-error 
echo for last 1m, last 20m and last 24h for all channels
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.519

echo
echo ------------------------------------------------------
echo Table listing seconds with CC-error 
echo for last 1m, last 20m and last 24h for all channels
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.520

echo
echo ------------------------------------------------------
echo Table listing seconds with RTP-drops 
echo for last 1m, last 20m and last 24h for all channels
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.530

echo
echo ------------------------------------------------------
echo Table listing seconds with bitrate-overflow 
echo for last 1m, last 20m and last 24h for all channels
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.540

echo
echo ------------------------------------------------------
echo Table listing seconds with no-signal errors 
echo for last 1m, last 20m and last 24h for all channels
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.550

echo
echo ------------------------------------------------------
echo Table listing peak-IAT and sum-MLR  
echo for last 1m, last 20m and last 24h for all channels
echo Now also including user_sumMdiMlr and user_peakMdiDf
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.560

echo
echo ------------------------------------------------------
echo Table listing max net bitrate - NULL PIDs not counted  
echo for last 1m, last20m and last 24h for all channels
echo ------------------------------------------------------
snmptable -v1 -c public $1  1.3.6.1.4.1.24562.570

