# This file contains simple terminal commands for demontrating the
# VBC version 2.0.2 SNMP support
#
# This file can be executed as a bash script by typing
# sh snmp-test.txt on a linux terminal prompt.
# You will need to replace the 10.0.30.98 IP address.
#
# Example output can be found in the snmp-result-vbc.txt file.

echo ------------------------------------------------------
echo Setting environment table MIBS=all to force MIB to be loaded
echo ------------------------------------------------------
export MIBS=ALL

echo
echo ------------------------------------------------------
echo MIB2 - sysDescription:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.2.1.1.1

echo
echo ------------------------------------------------------
echo MIB2 - sysUptime:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.2.1.1.3

echo
echo ------------------------------------------------------
echo Overall status of VBC:
echo ------------------------------------------------------
snmpget -v1 -c private $1  1.3.6.1.4.1.24562.1.0

echo
echo ------------------------------------------------------
echo Overall textual status of VBC:
echo ------------------------------------------------------
snmpget -v1 -c private $1  1.3.6.1.4.1.24562.2.0

echo
echo ------------------------------------------------------
echo Severity of most severe active alarm:
echo ------------------------------------------------------
snmpget -v1 -c public $1  1.3.6.1.4.1.24562.3.0

# We can now add trap destinations from GUI
#echo
#echo ------------------------------------------------------
#echo Adding trap destination 10.20.30.40:
#echo ------------------------------------------------------
#snmpset -v1 -c private $1  1.3.6.1.4.1.24562.100.1.2.1 a 10.20.30.40  1.3.6.1.4.1.24562.100.1.999.1 i 4

#echo
#echo ------------------------------------------------------
#echo TrapDestinationTable now contains one entry:
#echo ------------------------------------------------------
#snmptable -v1 -c private $1  1.3.6.1.4.1.24562.100

#echo
#echo ------------------------------------------------------
#echo Removing the entry:
#echo ------------------------------------------------------
#snmpset -v1 -c private $1  1.3.6.1.4.1.24562.100.1.999.1 i 6

#echo
#echo ------------------------------------------------------
#echo The table is now empty:
#echo ------------------------------------------------------
#snmptable -v1 -c private $1  1.3.6.1.4.1.24562.100


echo
echo ------------------------------------------------------
echo Trap destination table:
echo ------------------------------------------------------
snmptable -v1 -c private $1  1.3.6.1.4.1.24562.100

echo
echo ------------------------------------------------------
echo List the top 20 entries in the VBCs
echo Alarms and events WEB interface table.
echo This contains the active alarms and the latest events.
echo ------------------------------------------------------
snmptable -v1 -c private $1  1.3.6.1.4.1.24562.200

echo
echo ------------------------------------------------------
echo List the latest 20 traps:
echo ------------------------------------------------------
snmptable -v1 -c private $1  1.3.6.1.4.1.24562.300

